Bug 116552 - Pivot table shortcuts for moving the current field into the "Row" area
Summary: Pivot table shortcuts for moving the current field into the "Row" area
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.4.2.2 release
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.2.0 target:6.1.0.1 target:6....
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-03-21 21:47 UTC by raal
Modified: 2018-06-19 20:39 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
incorrect result (26.18 KB, image/png)
2018-03-21 21:48 UTC, raal
Details
correct result (22.52 KB, image/png)
2018-03-21 21:48 UTC, raal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description raal 2018-03-21 21:47:43 UTC
Description:
https://help.libreoffice.org/Calc/Shortcut_Keys_for_Spreadsheets#Using_the_pivot_table

Alt and the underlined character in the word "Row" 	Copies or moves the current field into the "Row" area.
Alt and the underlined character in the word "Column" 	Copies or moves the current field into the "Column" area.
Alt and the underlined character in the word "Data" 	Copies or moves the current field into the "Data" area.

Steps to Reproduce:
1.fill some data
2.select data
3.create pivot table from selection
4.select first item in Available fields list
5.press ALT+R

Actual Results:  
Row fields is not filled

Expected Results:
 moving the current field into the "Row" area


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:59.0) Gecko/20100101 Firefox/59.0
Comment 1 raal 2018-03-21 21:48:29 UTC
Created attachment 140803 [details]
incorrect result
Comment 2 raal 2018-03-21 21:48:48 UTC
Created attachment 140804 [details]
correct result
Comment 3 raal 2018-03-21 21:53:29 UTC
This seems to have begun at the below commit.
Adding Cc: to Caolán McNamara ; Could you possibly take a look at this one?
Thanks


f9aef431abf5b932f3bbcc4d34e74f9a85af6ad8 is the first bad commit
commit f9aef431abf5b932f3bbcc4d34e74f9a85af6ad8
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Wed Feb 15 21:26:27 2017 +0100

    source sha:011bae55cdd24a1d3e42f0aa2fcfd98d3ddc9b14

author	Caolán McNamara <caolanm@redhat.com>	2017-01-26 09:40:07 +0000
committer	Eike Rathke <erack@redhat.com>	2017-01-27 15:32:42 +0000
commit	011bae55cdd24a1d3e42f0aa2fcfd98d3ddc9b14 (patch)
tree	d4590c36d3d389eaa0282c69476391859c4676a5
parent	53eb2fae381f4ed9d73bcc6d8e76a6f09777ba60 (diff)
Resolves: tdf#104153 lookup what listbox an entry is dragged from
so we can find where its been dragged from in order to remove it from that
source, rather than relying that it comes from the previously focused listbox


alt+D,alt+F doesn't work too..
Comment 4 Jacques Guilleron 2018-03-22 07:56:38 UTC
Hi raal,
I reproduce with
LO  5.3.1.1 Build ID: 72fee18f394a980128dc111963f2eefb05998eeb
CPU Threads: 2; OS Version: Windows 6.1; UI Render: default; Layout Engine: new; 
Locale: en-US (fr_FR); Calc: CL
and upper versions
but not with
LO 5.3.0.3 Build ID: 7074905676c47b82bbcfbea1aeefc84afe1c50e1
CPU Threads: 2; OS Version: Windows 6.1; UI Render: default; Layout Engine: new; 
Locale: en-GB (fr_FR); Calc: CL
However,there is a condition:
Fill first Data Fields with Alt+D.
Comment 5 Caolán McNamara 2018-06-06 11:21:09 UTC
that's a crazy abuse of focus shortcuts to copy/move data and jump the focus back to where it came from, but *shrug* if it used to work that way I can put it back.
Comment 6 Commit Notification 2018-06-06 14:10:57 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=584a9e962f3e6c306bb2ba03c7d3b3cdbd3f206e

tdf#116552 restore copy on focus and jump focus to source

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Caolán McNamara 2018-06-06 14:59:22 UTC
backports in gerrit
Comment 8 Commit Notification 2018-06-06 20:11:02 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=489fb7f5e2297b9451f7084bcb5cf9da823adc26&h=libreoffice-6-1

tdf#116552 restore copy on focus and jump focus to source

It will be available in 6.1.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 raal 2018-06-12 20:32:33 UTC
Verified.
Thanks!
Comment 10 Commit Notification 2018-06-14 14:11:10 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=da8401de3c692514b6b4671fab3bb5562e88aa19&h=libreoffice-6-0

tdf#116552 restore copy on focus and jump focus to source

It will be available in 6.0.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2018-06-19 20:39:29 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-0-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=663a073a3485943058871567d588989536e8ba4e&h=libreoffice-6-0-5

tdf#116552 restore copy on focus and jump focus to source

It will be available in 6.0.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.